Package com.macrofocus.high_d

# Class HighDSettings<Color,Font>

java.lang.Object
com.macrofocus.high_d.HighDSettings<Color,Font>

@JsType public class HighDSettings<Color,Font> extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `HighDSettings.PropertyType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected MutableProperties<HighDSettings.PropertyType>`
  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HighDSettings(com.macrofocus.crossplatform.CPFactory<?,Font,?,Color> cpFactory)`
  `HighDSettings(com.macrofocus.igraphics.colortheme.ColorTheme<Color> colorTheme)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MutableProperty<Boolean>`
  `getAllowScrolling()`
  `MutableProperty<Boolean>`
  `getAntialiasing()`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  `MutableProperty<Geometry>`
  `getGeometry()`
  `MutableProperty<com.macrofocus.high_d.interaction.InteractionMode>`
  `getInteractionMode()`
  `MutableProperties<HighDSettings.PropertyType>`
  `getProperties()`
  `MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering>`
  `getRendering()`
  `MutableProperty<Boolean>`
  `getShowFiltered()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### properties

    protected MutableProperties<HighDSettings.PropertyType> properties

- ## Constructor Details

  - ### HighDSettings

    @JsIgnore public HighDSettings(com.macrofocus.crossplatform.CPFactory<?,Font,?,Color> cpFactory)

  - ### HighDSettings

    public HighDSettings(com.macrofocus.igraphics.colortheme.ColorTheme<Color> colorTheme)

- ## Method Details

  - ### getProperties

    public MutableProperties<HighDSettings.PropertyType> getProperties()

  - ### getShowFiltered

    public MutableProperty<Boolean> getShowFiltered()

  - ### getAntialiasing

    public MutableProperty<Boolean> getAntialiasing()

  - ### getRendering

    public MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> getRendering()

  - ### getColorTheme

    public MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()

  - ### getGeometry

    public MutableProperty<Geometry> getGeometry()

  - ### getInteractionMode

    public MutableProperty<com.macrofocus.high_d.interaction.InteractionMode> getInteractionMode()

  - ### getAllowScrolling

    public MutableProperty<Boolean> getAllowScrolling()